Start Summary

Initiate a new summary job with an audio file, text transcript, or JSON object. The job will be processed asynchronously and the response will contain a job_name.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string
enum
required
Defaults to generic

Declare the source of the data for the Summarization job.
📝 Note that some sources have different parameter requirements.

  • generic - Generic-format .txt and JSON transcripts
  • audio - For uploaded audio files
  • wordcab_transcript - Summarization job with one Wordcab transcript using a transcript_id
  • signed_url - AWS, GCP or Azure presigned URL
  • vtt - A VTT file or string
  • rev_ai - Use the JSON array from Rev.ai's monologues object as input
  • assembly_ai - Use the JSON array from AssemblyAI's utterances object as input
  • deepgram - Use the JSON array from Deepgram's utterances object as input
  • vtt - Either a .vtt file, or raw VTT text in the request body - Learn more about proper vtt formatting.
    Note that speaker labels are required for a VTT source.
  • otter - Learn more about Otter.ai transcript formatting
  • fireflies - Learn more about Fireflies.ai transcript formatting
  • sonix - Learn more about Sonix.ai transcript formatting
  • descript - Learn more about Descript transcript formatting
  • teams- Use a .docx transcript from the Microsoft Teams application.
string

A human-readable name for your job. Not strictly required, but highly recommended.

string
enum
required
Defaults to narrative

Default value: narrative
The type of summary you want to generate.

  • narrative - Wordcab's default summary type, a chronological play-by-play that aims to extract all relevant details. Best for customer support calls.
  • conversational - A summary that suits internal meetings and sales calls when you don't need an exact play-by-play of the events. Consider choosing narrative if you do.
  • no_speaker - Similar to the conversational summary, without referencing any speakers and going straight to the important events in a conversation.
  • brief - A summary type that provides a title and a single-sentence summary for each section of transcript. It's ideally used by pairing with Context Items to get a detailed overview of the transcript.
Allowed:
string
enum
Defaults to null

Context features provide additional context to Wordcab summaries, focusing on the most important aspects of the transcript.

  • issue - This item represents the main problem or concern that the section of transcripts aims to address.
  • purpose - This item describes the primary goal or objective of the transcript.
  • keywords - This item is an array of important words or phrases relevant to the document's content.
  • next_steps - This item is the recommended next action conveyed by one or more speakers.
  • discussion_points - This item is an array of notable topics discussed in the document.
Allowed:
string
Defaults to 3

A comma-separated string of numbers 1 through 5. 1 corresponds to the shortest summary length, and 5 to the longest.
📝 Note that if you specify more than one number, you will receive multiple summaries.

string

Required when source is set to wordcab_transcript.
Represents the id of a processed Wordcab transcript.

string

Required when source is set to signed_url.
An AWS, GCP or Azure presigned URL that points to an audio file.

string

A comma-separated string containing tags you'd like to attribute to your job. This is particularly helpful when you want to see summarized minutes and request counts for a particular subset of customers.

string
Defaults to en

Default value: en
Set the language of the input source.
You can find a detailed overview of supported languages here.

string
Defaults to en

Default value: en
Set the language for the resulting summary.
You can find a detailed overview of supported languages here.

boolean
Defaults to true

Splits up overly long speaker utterances. This results in generally more accurate but slightly longer summaries.

string
Defaults to transcribe,summarize

Default value: transcribe,summarize
A comma-separated list of actions to take upon initiating the job. Generally, there is no need to change this, unless you use transcribe on its own - this will generate a Wordcab transcript, and you can use the resulting transcript_id for further downstream tasks.

boolean
Defaults to false

Warning: requires webhooks to be enabled. If set to true, your webhooks will receive all processed data simultaneously instead of only a job reference. Ephemeral data provides a convenient, automatic way of removing sensitive data from Wordcab servers.
📝 Note that enabling ephemeral_data wipes all sensitive data tied to a particular job. You will not be able to retrieve a finished job via polling, nor will you be able to reuse any transcript_id or summary_id tied to the removed job.

Body Params
Headers
string

A metadata object is composed of a key-value pair. To add metadata to your job, you must add X-Wordcab-Metadata-<Key> headers to your /summarize request, where <Key> is a key of your choice.
This way a metadata object with the key-value pairs you initially set will be saved to your job object. By convention, Wordcab will extract anything after X-Wordcab-Metadata- (in this case, <Key>), make the string lowercase, and then convert any dashes to underscores.
For example, an X-Wordcab-Metadata-UUID key with a value of "abc", and an X-Wordcab-Metadata-User-ID key with a value of "123" will result in the following metadata object when retrieving your job: "metadata": { "uuid": "abc", "user_id": "123" }

Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json